CP(1)

NOM
cp - Copier des fichiers et des répertoires

SYNOPSIS
cp [OPTION]... [-T] SOURCE CIBLE
cp [OPTION]... SOURCE... RÉPERTOIRE
cp [OPTION]... -t RÉPERTOIRE SOURCE...

DESCRIPTION

Copier la SOURCE vers la CIBLE, ou plusieurs SOURCEs vers le RÉPERTOIRE.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-a, --archive
    identique à -dR --preserve=all

--attributes-only
    ne pas copier le contenu des fichiers, seulement leurs attributs

--backup[=CONTRÔLE]
    archiver chaque fichier cible existant

-b  identique à --backup mais sans paramètre

--copy-contents
    copier le contenu des fichier spéciaux en mode récursif

-d  identique à --no-dereference --preserve=links

--debug
    expliquer comment un fichier est copié. Implique -v

-f, --force
    si un fichier cible existant ne peut pas être ouvert, alors le détruire et essayer à nouveau (cette option est ignorée si -n est aussi utilisé)

-i, --interactive
    demander confirmation avant d'écraser (annule une précédente option -n)

-H  suivre les liens symboliques fournis en ligne de commande dans SOURCE

-l, --link
    lier physiquement (« hard ») les fichiers au lieu de les copier

-L, --dereference
    toujours suivre les liens symboliques dans SOURCE

-n, --no-clobber
    (obsolète) ignorer silencieusement les fichiers existants. Voir aussi --update

-P, --no-dereference
    ne jamais suivre les liens symboliques dans SOURCE

-p  identique à --preserve=mode,ownership,timestamps

--preserve[=LISTE_ATTR]
    préserver les attributs indiqués

--no-preserve=LISTE_ATTR
    ne pas préserver les attributs indiqués

--parents
    utiliser le nom de fichier source dans RÉPERTOIRE

-R, -r, --recursive
    copier récursivement les répertoires

--reflink[=QUAND]
    contrôler les copies clones et CoW. Voir ci-dessous.

--remove-destination
    enlever chaque fichier cible existant avant de l'ouvrir (contrairement à --force)

--sparse=QUAND
    contrôler le mode de création des fichiers creux (sparse files). Voir ci-dessous.

--strip-trailing-slashes
    enlever le « / » en suffixe de chaque paramètre de SOURCE

-s, --symbolic-link
    créer des liens symboliques au lieu de copier

-S, --suffix=SUFFIXE
    outrepasser le suffixe habituel d'archivage avec le SUFFIXE

-t, --target-directory=RÉPERTOIRE
    copier tous les paramètres de la SOURCE dans le RÉPERTOIRE

-T, --no-target-directory
    traiter la CIBLE comme un fichier normal

--update[=MISE_À_JOUR]
    contrôler quels fichiers existants sont mis à jour ; MISE_À_JOUR={all,none,non-fail,older(par défaut)}.

-u  Équivalent à --update[=older]. Voir ci-dessous.

-v, --verbose
    expliquer ce qui est fait

--keep-directory-symlink
    suivre les liens symboliques existant vers les répertoires

-x, --one-file-system
    ne pas quitter ce système de fichiers

-Z  définir le contexte de sécurité SELinux du fichier cible au type par défaut

--context[=CTX]
    comme -Z ou, si CONTEXTE est indiqué, définir le contexte de sécurité SELinux ou SMACK à CONTEXTE

--help
    Afficher l'aide-mémoire et quitter.

--version
    afficher les informations de version et quitter.

ATTR_LIST est une liste d'attributs séparés par des virgules. Les attributs sont « mode » pour les permissions (y compris des permissions ACL et xattr), « ownership » pour l'utilisateur et le groupe, « timestamps » pour l'horodatage du fichier, « links » pour les liens physiques, « context » pour le contexte de sécurité, « xattr » les attributs étendus et « all » pour tous les attributs.

Par défaut, les fichiers creux SOURCE sont détectés par le biais d'une heuristique grossière et le fichier CIBLE correspondant est aussi construit creux. Il s'agit du comportement sélectionné par l'option --sparse=auto. Spécifiez --sparse=always pour créer un fichier CIBLE creux à chaque fois que le fichier SOURCE contient une séquence assez longue d'octets de valeur zéro. Utilisez --sparse=never pour désactiver la création de fichiers creux.

UPDATE controle quels fichiers existants sont remplacés dans l'emplacement de destination. L'opération par défaut est « all » quand aucune option --update est spécifiée et a pour conséquence que tous les fichiers existant dans l'emplacement de destination sont remplacés. « none » est comme l'option --no-clobber, dans la mesure où aucun fichier dans l'emplacement de destination n'est remplacé, et où les fichiers ignorés ne provoquent pas d'échec. « none-fail » assure aussi qu'aucun fichier n'est remplacé dans l'emplacement de destination, mais tous les fichiers ignorés sont diagnostiqués et produisent un échec. « older » est l'opération par défaut quand --update est spécifié et a pour conséquence que tous les fichiers sont remplacés s'ils sont plus anciens que le fichier source correspondant.

Lorsque --reflink[=always] est utilisé, effectuer une copie légère, c'est-à-dire que les blocs de données ne sont copiés que lorsqu'ils sont modifiés. Si ce n'est pas possible, la copie échoue ou, si --reflink=auto est utilisé, une copie standard est effectuée. Utilisez --reflink=never pour garantir qu’une copie standard est réalisée.

Le suffixe d'archivage est « ~ », à moins d'avoir été initialisé avec --suffix ou SIMPLE_BACKUP_SUFFIX. La méthode de contrôle de version peut être choisie à l'aide de l'option --backup ou à l'aide de la variable d'environnement VERSION_CONTROL parmi les valeurs suivantes :

none, off
    ne jamais archiver (même si --backup est utilisé)

numbered, t
    Faire des archives numérotées.

existing, nil
    Numéroter si des archives numérotées existent déjà, sinon ne pas numéroter.

simple, never
    Toujours faire des archives de type simple.

Il est à noter que « cp » archive la SOURCE lorsque les options « force » et « backup » sont utilisées et que la SOURCE et la CIBLE portent le même nom qu'un fichier normal existant.

AUTEUR
Écrit par Torbjorn Granlund, David MacKenzie et Jim Meyering.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2024 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
install(1)

Documentation complète : <https://www.gnu.org/software/coreutils/cp>
aussi disponible localement à l’aide de la commande : info '(coreutils) cp invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Marc Chaton <chaton@debian.org>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.